Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Class PortalField

    java.lang.Object
      com.plumtree.remote.prc.search.Field
          com.plumtree.remote.prc.search.PlumtreeField
              com.plumtree.remote.prc.search.PortalField

public class PortalField
extends PlumtreeField

`PortalField` extends `PlumtreeField` to add fields defined by the portal, including `OBJECT_ID`, `CLASS_ID`, and `FOLDER_PATH`. Additional `PortalField`s corresponding to custom properties can be created using `PortalField.forID()`. `PortalField` is not an enumeration as new `PortalField`s can be created using `forID()`.

Field Summary
`static PortalField` | `CLASS_ID` `PortalField` for the ClassID of an object.
`static PortalField` | `FOLDER_PATH` `PortalField` for the folder path to an object.
`static PortalField` | `OBJECT_ID` `PortalField` for the ObjectID of an object.

Fields inherited from class com.plumtree.remote.prc.search.PlumtreeField
`CREATED, DESCRIPTION, ICON_URL, IS_BEST_BET, LANGUAGE, LAST_MODIFIED, NAME, RANK, TEXT_CONTENT, TEXT_EXCERPT, URL`

Method Summary
`static PortalField` | `forID(int propertyId)` Creates a `PortalField` from a Property ID.

Methods inherited from class com.plumtree.remote.prc.search.Field
`equals, getActualName, hashCode, isRetrievable`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_ID

    public static final PortalField OBJECT_ID

  `PortalField` for the ObjectID of an object.

### CLASS_ID

    public static final PortalField CLASS_ID

  `PortalField` for the ClassID of an object.

### FOLDER_PATH

    public static final PortalField FOLDER_PATH

  `PortalField` for the folder path to an object.

Method Detail

### forID

    public static PortalField forID(int propertyId)
                             throws java.lang.IllegalArgumentException

  Creates a `PortalField` from a Property ID. The result of `getActualName()` will be the `String` "ptportal.propertyid." plus the propertyId.

  Parameters:
    `propertyId` - the ID of the user-created property; must be > 100.
  Returns:
    a `PortalField`
  Throws:
    `java.lang.IllegalArgumentException` - if propertyId is less than 100

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.